=== debian/control ===
Source: gst-plugins-bad0.10
Section: libs
Priority: extra
Maintainer: Maemo Multimedia <multimedia@maemo.org>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Build-Depends: libgstreamer0.10-dev (>= 0.10.20-3),  libasound2-dev (>= 0.9.1), libgstreamer-plugins-base0.10-dev (>= 0.10.20), gstreamer-tools (>= 0.10.14), autotools-dev, cdbs (>= 0.4.32), debhelper (>= 5), pkg-config (>= 0.11.0), gtk-doc-tools, liboil0.3-dev (>= 0.3.8), libbz2-dev, libsdl1.2-dev, libgtk2.0-dev (>= 2.2.0), libsndfile1-dev (>= 1.0.16), lsb-release, libglade2-dev (>= 2.6.0), libexif-dev (>= 0.6.16), libexempi-dev, libiptcdata0-dev (>= 1.0.2), libwildmidi-dev, gstreamer0.10-plugins-base
Standards-Version: 3.8.0

Package: gstreamer0.10-plugins-bad-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Replaces: gstreamer0.10-plugins-bad (<< 0.10.5-3)
Description: GStreamer documentation for plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the documentation for plugins from the "bad" set.
 
Package: gstreamer0.10-plugins-bad
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer0.10-plugins-base	 
Replaces: gstreamer0.10-plugins-bad-multiverse (<< 0.10.5-2), gst-plugins-farsight (<< 0.12.11-0maemo1)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer0.10-plugins-bad-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, gstreamer0.10-plugins-bad (= ${binary:Version}), ${shlibs:Depends}
Description: Extra GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for GStreamer libraries from
 the "bad" set.

Package: gstreamer0.10-plugins-bad-extra
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extra GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 Gstreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer0.10-sdl
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: gstreamer0.10-plugins-bad (<< 0.10.5-3)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugin for SDL output
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for SDL, the Simple
 DirectMedia Layer.

Package: gstreamer0.10-plugins-bad-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gstreamer0.10-plugins-bad (= ${binary:Version}),
         gstreamer0.10-sdl (= ${binary:Version})
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.
