## gst-plugins-bad0.10 0.10.14-git265-0maemo6+0m5

=== debian/changelog ===
gst-plugins-bad0.10 (0.10.14-git265-0maemo6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Mon, 16 Nov 2009 14:03:48 +0200

gst-plugins-bad0.10 (0.10.14-git265-0maemo6) unstable; urgency=low

  * camerabin: Switch video recording file buffering to 128KB buffered IO.
  * Fixes: NB#144589 - non-buffered file writing causes some extra CPU
    load during video recording

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 09 Nov 2009 16:08:56 +0200

gst-plugins-bad0.10 (0.10.14-git265-0maemo5) unstable; urgency=low

  * camerabin: Replace gst_bus_poll usage with gst_bus_timed_pop_filtered.
  * camerabin: Speed up stopping of video recording.
  * camerabin: Delay metadata writing until pipeline is ready for it.
  * Fixes: NB#145394 - Classification metadata tag is not written in
    videos if geotags are not present

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 09 Nov 2009 15:13:28 +0200

gst-plugins-bad0.10 (0.10.14-git265-0maemo4) unstable; urgency=low

  * metadata: Fix binary null bytes in XMP metadata.
  * Fixes: NB#139256 - XMP metadata in jpeg images is not readable by some
    PC applications

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 30 Oct 2009 19:55:51 +0200

gst-plugins-bad0.10 (0.10.14-git265-0maemo3) unstable; urgency=low

  * camerabin: fix clock selection mechanism
  * Fixes: NB#141200 - In Camera recorded videos, AV sync is missing
    sometimes

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 16 Oct 2009 16:08:22 +0300

gst-plugins-bad0.10 (0.10.14-git265-0maemo2) unstable; urgency=low

  * camerabin: provide preview image for video clips
  * Fixes: NB#120749 - Camerabin should provide a video preview
  * Fixes: NB#122074 - Setting the preview-caps proerty to NULL is
    throwing an error

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 12 Oct 2009 16:09:12 +0300

gst-plugins-bad0.10 (0.10.14-git265-0maemo1) unstable; urgency=low

  * Update to git v0.10.14-265-ga1aac3e.

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 01 Oct 2009 19:53:40 +0300

gst-plugins-bad0.10 (0.10.14-0maemo1) unstable; urgency=low

  * New upstream version.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 28 Sep 2009 20:16:59 +0300

gst-plugins-bad0.10 (0.10.13-git209-0maemo17) unstable; urgency=low

  * Move unused/unsupported plugins to -extra (h264parse, mpegdemux).

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 28 Sep 2009 17:20:41 +0300
