=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,24 @@
 include /usr/share/cdbs/1/rules/utils.mk
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+
+CFLAGS += -Wno-error
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -O0
+else
+    CFLAGS += -O2
+endif
+
+ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1
+endif
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 ## DEB_MAKE_CHECK_TARGET = check || true
 
 # this is for compatibility with dpkg-dev < 1.13.5, see
@@ -181,11 +199,6 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
 endif
 
-ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-    DEB_CONFIGURE_EXTRA_FLAGS += \
-       CFLAGS="-DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1 -O2"
-endif
-
 common-binary-fixup-arch::
 	# crash on qemu! dh_gstscancodecs
 
@@ -219,4 +232,18 @@
 		mv $${patch}.chomped $$patch ; \
 	done
 
+update-common: COMMIT := $(shell git rev-parse $(shell git rev-parse MERGE_HEAD || git merge-base $(UPSTREAM_REF) HEAD):common)
+update-common:
+	@if ! git diff-files --ignore-submodules --quiet common || \
+		! git diff-index --ignore-submodules --cached --quiet HEAD -- common; then \
+			echo "your common/ directory state is dirty"; \
+			exit 1; \
+		fi
+	if test -d $(CURDIR)/common ; then rm -rfv $(CURDIR)/common ; git rm -r --cached --ignore-unmatch $(CURDIR)/common ; fi
+	git clone -n git://anongit.freedesktop.org/gstreamer/common $(CURDIR)/common
+	cd $(CURDIR)/common && git checkout -f $(COMMIT)
+	rm -rfv $(CURDIR)/common/.git
+	git add $(CURDIR)/common
+	@echo "common update to $(COMMIT) staged, git commit to proceed"
+
 .PHONY: maint
