## gst-plugins-bad0.10 0.10.14-git265-0maemo10+0m5

=== debian/changelog ===
gst-plugins-bad0.10 (0.10.14-git265-0maemo10+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Marco Ballesio <marco.ballesio@nokia.com>  Wed, 10 Feb 2010 09:59:10 +0200

gst-plugins-bad0.10 (0.10.14-git265-0maemo10) unstable; urgency=low

  * Dummy release to trigger recompilation with updated toolchain,
    NB#154816 - GStreamer packages should be recompiled with new tool
    chain.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 29 Jan 2010 16:43:20 +0200

gst-plugins-bad0.10 (0.10.14-git265-0maemo9) unstable; urgency=low

  * camerabin: Fix cropping paramaters in some situations
  * Fixes: NB#151457 - Zoom is not reflected in captured images for low
    and medium resolutions

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 22 Dec 2009 16:04:36 +0200

gst-plugins-bad0.10 (0.10.14-git265-0maemo8) unstable; urgency=low

  * Fixes: NB#150469 - Camerabin should use new "viewfinder-mode" property
    in v4l2camsrc
  * camerabin: Fix framerate selection in certain condition.
  * Fixes: NB#150374 - Camera closed with "Operation failed" note on
    changing from night video mode to automatic mode

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 14 Dec 2009 14:53:31 +0200

gst-plugins-bad0.10 (0.10.14-git265-0maemo7) unstable; urgency=low

  * camerabin: fix incorrect framerate setting when started in night mode
  * Fixes: NB#148430 - In certain scenarios, viewfinder becomes very slow
    after Night mode is set

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 04 Dec 2009 13:26:33 +0200
