=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Maemo Multimedia <multimedia@maemo.org>
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
-Build-Depends: libgstreamer0.10-dev (>= 0.10.20-3),  libasound2-dev (>= 0.9.1), libgstreamer-plugins-base0.10-dev (>= 0.10.20), gstreamer-tools (>= 0.10.14), autotools-dev, cdbs (>= 0.4.32), debhelper (>= 5), pkg-config (>= 0.11.0), gtk-doc-tools, liboil0.3-dev (>= 0.3.8), libbz2-dev, libsdl1.2-dev, libgtk2.0-dev (>= 2.2.0), libsndfile1-dev (>= 1.0.16), lsb-release, libglade2-dev (>= 2.6.0), libexif-dev (>= 0.6.16), libexempi-dev, libiptcdata0-dev (>= 1.0.2), libwildmidi-dev, gstreamer0.10-plugins-base
+Build-Depends: libgstreamer0.10-dev (>= 0.10.20-3),  libasound2-dev (>= 0.9.1), libgstreamer-plugins-base0.10-dev (>= 0.10.20), gstreamer-tools (>= 0.10.14), autotools-dev, cdbs (>= 0.4.32), debhelper (>= 5), pkg-config (>= 0.11.0), gtk-doc-tools, liboil0.3-dev (>= 0.3.8), libbz2-dev, libsdl1.2-dev, libgtk2.0-dev (>= 2.2.0), libsndfile1-dev (>= 1.0.16), lsb-release, libglade2-dev (>= 2.6.0), libexif-dev (>= 0.6.16), libexempi-dev, libiptcdata0-dev (>= 1.0.2), libwildmidi-dev, gstreamer0.10-plugins-base, quilt
 Standards-Version: 3.8.0
 
 Package: gstreamer0.10-plugins-bad-doc
@@ -31,7 +31,7 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gstreamer0.10-plugins-base	 
+         gstreamer0.10-plugins-base (>= 0.10.25-0maemo3)
 Replaces: gstreamer0.10-plugins-bad-multiverse (<< 0.10.5-2), gst-plugins-farsight (<< 0.12.11-0maemo1)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -72,6 +72,7 @@
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: gstreamer0.10-plugins-bad (<< 0.10.13-git209-0maemo17)
 Description: Extra GStreamer plugins from the "bad" set
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
