=== debian/rules ===
--- 
+++ 
@@ -223,7 +223,7 @@
 update-patch-series:
 	mkdir -p $(CURDIR)/debian/patches
 	rm -f $(CURDIR)/debian/patches/*.patch
-	git format-patch -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
+	git format-patch -N -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
 		xargs -n 1 basename > $(CURDIR)/debian/patches/series
 	for patch in $$(ls $(CURDIR)/debian/patches/*.patch) ; \
 	do \
