## gst-plugins-bad0.10 0.10.20

=== debian/changelog ===
gst-plugins-bad0.10 (0.10.20-1ubuntu1.1) maverick-proposed; urgency=low

  * Removed Conflicts/Replaces/Provides for gstreamer0.10-fluendo-mpegdemux as
    these packages can now co-exist, and the Conflict prevented certain codec
    packs provided directly by Fluendo from being installed. (LP: #731711)

 -- Brian Thomason <brian.thomason@canonical.com>  Tue, 15 Mar 2011 12:29:42 -0400

gst-plugins-bad0.10 (0.10.20-1ubuntu1) maverick; urgency=low

  * Merge with Debian; remaining changes.
    - Remove plugins that are now provided -good in
      debian/gstreamer-plugins-bad.install:
      - libgstautoconvert.so
      - libgstdtmf.so
      - libgstliveadder.so
      - libgstrtpmux.so
      - libgstvalve.so
    - Revert enabling of libgstlv2 -- drop lv2core, libslv2-dev from
      debian/build-deps.in and remove libgstlv2 from
      debian/gstreamer-plugins-bad.install.  This plugin segfaults on amd64
      and is too unstable for now. the bug requesting this was LP #511334 and
      the instability statement is at LP #513347.
    - Only required libwildmidi-dev (>= 0.2.2), the dependency was on 0.2.3
      for Debian to make sure it is linking against the new soname.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 03 Sep 2010 16:39:16 +0200

gst-plugins-bad0.10 (0.10.20-1) experimental; urgency=low

  * New upstream release, "For it is a Human Number".

 -- Sebastian Dröge <slomo@debian.org>  Fri, 03 Sep 2010 12:37:05 +0200

gst-plugins-bad0.10 (0.10.19.5-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Aug 2010 16:13:21 +0200

gst-plugins-bad0.10 (0.10.19.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 21 Aug 2010 22:00:02 +0200

gst-plugins-bad0.10 (0.10.19.3-1) experimental; urgency=low

  * debian/build-deps.in:
    + Fix build dependency on libdvdnav-dev to be ignored
      on GNU Hurd for real now (Closes: #585095).
  * New upstream pre-release:
    + debian/patches/01_wildmidi-0.2.3.patch,
      debian/patches/99_autoreconf.patch:
      - Dropped, merged upstream.
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer and gst-plugins-base 0.10.30.
      - Build depend on orc instead of liboil.
      - Build depend on GLib >= 2.20 and GTK >= 2.14.
      - Build depend on celt >= 0.5.0.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Add the new coloreffects, gaudieffects, geometrictransform,
        gsettingselements, ivfparse, rtmpsrc, shm and videomaxrate
        plugins.
  * debian/rules,
    debian/compat,
    debian/control.in,
    debian/source/format,
    debian/patches/*:
    + Update to debhelper compat level 7.
    + Update to source format 3.0 (quilt).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 11 Aug 2010 11:44:23 +0200

gst-plugins-bad0.10 (0.10.19-2) unstable; urgency=low

  [Loïc Minier]
  * Fail before generating control if type-handling isn't installed; avoids
    silently generating a bogus control file.

  [Sebastian Dröge]
  * debian/rules,
    debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Don't build the resindvd plugin on GNU Hurd (Closes: #585095).
  * debian/patches/99_autoreconf.patch,
    debian/patches/01_wildmidi-0.2.3.patch,
    debian/build-deps.in:
    + Build against wildmidi 0.2.3 because of API changes and many
      bugfixes.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 08:46:02 +0200

gst-plugins-bad0.10 (0.10.19-1ubuntu3) maverick; urgency=low

  * No-change rebuild to pick up new libmpdec (LP: #611024).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Aug 2010 15:10:09 +0200

gst-plugins-bad0.10 (0.10.19-1ubuntu2) maverick; urgency=low

  * No-change rebuild for jack transition

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 21 Jul 2010 11:53:38 +0200

gst-plugins-bad0.10 (0.10.19-1ubuntu1) maverick; urgency=low

  * Re-enable zbar plugin now that zbar builds in Ubuntu.
  * Merge with Debian; remaining changes.
    - Remove plugins that are now provided -good in
      debian/gstreamer-plugins-bad.install:
      - libgstautoconvert.so
      - libgstdtmf.so
      - libgstliveadder.so
      - libgstrtpmux.so
      - libgstvalve.so
    - Revert enabling of libgstlv2 -- drop lv2core, libslv2-dev from
      debian/build-deps.in and remove libgstlv2 from
      debian/gstreamer-plugins-bad.install.  This plugin segfaults on amd64
      and is too unstable for now. the bug requesting this was LP #511334 and
      the instability statement is at LP #513347.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 11 Jul 2010 19:38:09 +0200

gst-plugins-bad0.10 (0.10.19-1) unstable; urgency=low

  * New upstream release, "The World Kicked Back".

 -- Sebastian Dröge <slomo@debian.org>  Mon, 31 May 2010 05:43:20 +0200

gst-plugins-bad0.10 (0.10.18.3-2) unstable; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Enable and ship the VP8 encoder/decoder plugin.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 May 2010 07:10:49 +0200

gst-plugins-bad0.10 (0.10.18.3-1ubuntu2) maverick; urgency=low

  * Disable zbar plugin as zbar is in universe and fails to build in Ubuntu.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 06 Jun 2010 11:30:13 +0200

gst-plugins-bad0.10 (0.10.18.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian sid; remaining changes:
    - remove plugins that are now provided -good in
      debian/gstreamer-plugins-bad.install:
      - libgstautoconvert.so
      - libgstdtmf.so
      - libgstliveadder.so
      - libgstrtpmux.so
      - libgstvalve.so
    - revert enabling of libgstlv2 -- drop lv2core, libslv2-dev from
      debian/build-deps.in and remove libgstlv2 from
      debian/gstreamer-plugins-bad.install.  this segfaults on amd64. this
      plugin is too unstable for now. the bug requesting this was lp #511334
      and the instability statement is at lp #513347.


