=== debian/rules ===
--- 
+++ 
@@ -1,30 +1,13 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
+CFLAGS += -Wno-error
+CXXFLAGS += -Wno-error
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
-
-CFLAGS += -Wno-error
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
-else
-    CFLAGS += -O2
-endif
-
-ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1
-endif
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    MAKEFLAGS += -j$(NUMJOBS)
-endif
-
-## DEB_MAKE_CHECK_TARGET = check || true
+DEB_MAKE_CHECK_TARGET = check || true
 
 # this is for compatibility with dpkg-dev < 1.13.5, see
 # <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
@@ -57,13 +40,15 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.20-3)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.30)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
 
 gst_extra_build_depends =
-gst_extra_build_depends += libasound2-dev (>= 0.9.1)
+gst_extra_build_depends += libasound2-dev (>= 0.9.1) [@linux@]
+gst_extra_build_depends += , libcdaudio-dev [@linux@]
+gst_extra_build_depends += , libdc1394-22-dev (>= 2.0.0) [@linux@]
 
 # The plugins are basically the same.
 # Link special names to a template file.
@@ -72,13 +57,12 @@
 # EXTRA_PLUGINS: See debian/README.Debian for docs
 EXTRA_PLUGINS +=
 
-PLUGINS += sdl plugins-bad-extra plugins-bad $(EXTRA_PLUGINS)
+PLUGINS += sdl plugins-bad $(EXTRA_PLUGINS)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 PLUGINS +=
 endif
 VERSIONIZE= \
 	plugins-bad-doc.install \
-	plugins-bad-dev.install
 
 #debug package
 DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-bad-dbg
@@ -98,6 +82,10 @@
 vcd = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstvcdsrc.so
 cdaudio = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstcdaudio.so
 dc1394 = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstdc1394.so
+endif
+
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
+resindvd = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libresindvd.so
 endif
 
 # Let's decide the package name and url depending on the distribution
@@ -130,6 +118,7 @@
 			sed 's,@spc@,$(spc),g' | \
 			sed 's,@dc1394@,$(dc1394),g' | \
 			sed 's,@cdaudio@,$(cdaudio),g' | \
+			sed 's,@resindvd@,$(resindvd),g' | \
 			sed 's/@GST_ABI@/$(gst_abi)/g' \
 			> debian/$(gst_pkgname)-$$p.install; \
 	done
@@ -145,10 +134,13 @@
 debian/build-deps: debian/build-deps.in debian/rules
 	cat $< > $@
 	for plugin in $(EXTRA_PLUGINS) ; do \
-		debian/extra deps $$plugin >> $@; \
-	done
+		sh debian/extra deps $$plugin >> $@; \
+	done
+	sort $@ -o $@
 
 debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules
+	# need type-handling or will generate bogus control file
+	which type-handling >/dev/null || exit 1
 	perl debian/mk.control | \
 		sed 's/@GST_VERSION@/$(gst_version)/g' | \
 		sed 's/@GST_ABI@/$(gst_abi)/g' | \
@@ -156,10 +148,12 @@
 		sed 's/@GST_LIB@/$(gst_lib)/g' | \
 		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
 		sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
-		sed "s/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g"> $@
+		sed "s/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g" | \
+		sed '/^Build-Depends\(-Indep\)\?/s/\ *,\ */,\n               /g' | \
+		sed "s/@linux@/`type-handling any linux-gnu`/g" > $@
 
 	for plugin in $(EXTRA_PLUGINS) ; do \
-		debian/extra control $$plugin | \
+		sh debian/extra control $$plugin | \
 			sed 's/@GST_ABI@/$(gst_abi)/g' | \
 			sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
 			sed 's/@GST_LIB@/$(gst_lib)/g' | \
@@ -173,24 +167,12 @@
 			sed 's/@GST_GCONF_LIB_DEV_DEP@/$(gst_gconf_lib_dev_dep)/g' >> $@; \
 	done
 
-debian/stamp-autogen:
-	./autogen.sh --noconfigure
-	touch $@
-
-post-patches:: debian/stamp-autogen
 
 DEB_CONFIGURE_EXTRA_FLAGS += \
-	--disable-shave \
 	--disable-examples \
 	--enable-DEBUG \
 	--enable-debug \
 	--enable-experimental \
-	--disable-deinterlace2 \
-	--disable-frei0r \
-	--disable-mpegtsmux \
-	--disable-oss4 \
-	--disable-mxf \
-	--disable-nls \
 	--with-package-name=$(GST_PACKAGE_NAME) \
 	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
 
@@ -200,7 +182,8 @@
 endif
 
 common-binary-fixup-arch::
-	# crash on qemu! dh_gstscancodecs
+	LD_LIBRARY_PATH=debian/gstreamer0.10-plugins-bad/usr/lib:$(LD_LIBRARY_PATH) \
+		dh_gstscancodecs
 
 clean::
 	# get rid of the sym links
@@ -217,33 +200,4 @@
 # Disable inclusion of large upstream ChangeLog
 DEB_INSTALL_CHANGELOGS_ALL :=
 
-UPSTREAM_REF=master
-PATCHES_REF=maemo-patches
-
-update-patch-series:
-	mkdir -p $(CURDIR)/debian/patches
-	rm -f $(CURDIR)/debian/patches/*.patch
-	git format-patch -N -o $(CURDIR)/debian/patches $(PATCHES_REF) ^$(UPSTREAM_REF) | \
-		xargs -n 1 basename > $(CURDIR)/debian/patches/series
-	for patch in $$(ls $(CURDIR)/debian/patches/*.patch) ; \
-	do \
-		lines=$$(cat $$patch | wc -l) ; \
-		head -n $$(($$lines - 3)) $$patch > $${patch}.chomped ; \
-		mv $${patch}.chomped $$patch ; \
-	done
-
-update-common: COMMIT := $(shell git rev-parse $(shell git rev-parse MERGE_HEAD || git merge-base $(UPSTREAM_REF) HEAD):common)
-update-common:
-	@if ! git diff-files --ignore-submodules --quiet common || \
-		! git diff-index --ignore-submodules --cached --quiet HEAD -- common; then \
-			echo "your common/ directory state is dirty"; \
-			exit 1; \
-		fi
-	if test -d $(CURDIR)/common ; then rm -rfv $(CURDIR)/common ; git rm -r --cached --ignore-unmatch $(CURDIR)/common ; fi
-	git clone -n git://anongit.freedesktop.org/gstreamer/common $(CURDIR)/common
-	cd $(CURDIR)/common && git checkout -f $(COMMIT)
-	rm -rfv $(CURDIR)/common/.git
-	git add $(CURDIR)/common
-	@echo "common update to $(COMMIT) staged, git commit to proceed"
-
 .PHONY: maint
